.p-contact-form label {
  position: absolute;
  left: -10000px;
}

.row-line input {
  font-size: 16px;
  font-weight: 400;
  font-style: normal;
  color: var(--body-text);
  border: none;
  outline: none;
  background: var(--white);
  border: 1px solid #d1d1d1;
  padding: 5px 15px;
  line-height: 16px;
  width: 100%;
}

.row-line p br {
  display: none;
}

.row-line p {
  display: flex;
  flex-direction: column;
  gap: 20px;
  margin-bottom: 20px;
  width: 100%;
}

.row-line p span {
  width: 100%;
}

.wpcf7-form-control-wrap {
  display: block;
  position: relative;
}

.wpcf7-not-valid-tip {
  position: absolute;
  bottom: -23px;
  left: 0;
}

.wpcf7-submit {
  border: 1px solid var(--primary-color) !important;
}

.p-contact-form .wpcf7-response-output {
  border: none !important;
  padding: 0 !important;
  margin: 0;
  border: none;
  margin-top: 20px;
}

.row-line-textarea p br {
  display: none;
}

.row-line-textarea p {
  margin-bottom: 30px;
}

.row-line-textarea textarea {
  font-size: 16px;
  font-weight: 400;
  font-style: normal;
  color: var(--body-text);
  border: none;
  outline: none;
  background: var(--white);
  border: 1px solid #d1d1d1;
  padding: 5px 15px;
  width: 100%;
  line-height: 16px;
}

.p-contact-form {
  margin-top: 30px;
}

.map-holder {
  width: 100%;
  margin-top: 50px;
  position: relative;
}

.map-image {
  width: 100%;
}

.map-holder img {
  width: 100%;
  height: auto;
  border-radius: var(--medium-radius);
}

.map-content {
  position: absolute;
  bottom: 20%;
  left: 25%;
  z-index: 5;
}

.map-dot {
  position: relative;
  width: 15px;
  height: 15px;
  border-radius: 50%;
  background: var(--primary-color);
}

.map-dot::before {
  content: "";
  position: absolute;
  width: 25px;
  height: 25px;
  border-radius: 50%;
  top: -5px;
  left: -5px;
  background: var(--primary-color);
  opacity: 0.4;
  animation: infinitePulsate 3s infinite linear;
}

.map-location {
  display: block;
  border-radius: var(--medium-radius);
  text-decoration: none;
  position: absolute;
  top: 24px;
  left: -40px;
  width: 200px;
  padding: 1rem;
  background: var(--primary-color);
  opacity: 0;
  visibility: hidden;
  z-index: -1;
  transition: all 0.3s ease-in-out;
}

.map-location p {
  color: var(--white);
}

.map-location p span {
  font-weight: 600;
}

.map-content:not(:hover) .map-location {
  transition-delay: 0.3s;
}

.map-content:hover .map-location {
  opacity: 1;
  visibility: visible;
  z-index: 5;
}

@keyframes infinitePulsate {
  0% {
    transform: scale(1);
  }

  50% {
    transform: scale(1.2);
  }

  100% {
    transform: scale(1);
  }
}

.p-contact-main {
  margin-top: 50px;
}

@media only screen and (min-width: 992px) {
  .p-contact-main {
    margin-top: 100px;
  }

  .row-line p {
    flex-direction: row;
    margin-bottom: 50px;
    gap: 30px;
  }

  .row-line input {
    font-size: 18px;
    padding: 15px 15px;
  }

  .row-line-textarea {
    margin-bottom: 100px;
  }

  .row-line-textarea textarea {
    font-size: 18px;
    padding: 15px 15px;
  }

  .p-contact-form {
    margin-top: 50px;
  }

  .map-image {
    height: 100%;
  }

  .map-image img {
    height: 100%;
    object-fit: cover;
  }

  .map-holder {
    margin-top: 0px;
    height: 500px;
  }

  .map-content {
    left: 40%;
  }
}

@media only screen and (min-width: 1200px) {
  .map-holder {
    height: 100%;
  }
}
